> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Datasets



## OpenAPI

````yaml /api-reference/openapi.json get /api/datasets
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/datasets:
    get:
      tags:
        - api
        - datasets
      summary: List Datasets
      operationId: list_datasets_api_datasets_get
      parameters:
        - name: q
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Q
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 20
            title: Per Page
        - name: include_branches
          in: query
          required: false
          schema:
            type: boolean
            description: Include non-main branch datasets in the response.
            default: false
            title: Include Branches
          description: Include non-main branch datasets in the response.
        - name: include_removed
          in: query
          required: false
          schema:
            type: boolean
            description: Include removed datasets in the response.
            default: false
            title: Include Removed
          description: Include removed datasets in the response.
        - name: include_issue_counts
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Include per-dataset issue breakdowns (mislabel/outlier/poison).
              Disabling is faster.
            default: true
            title: Include Issue Counts
          description: >-
            Include per-dataset issue breakdowns (mislabel/outlier/poison).
            Disabling is faster.
        - name: include_type_counts
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Include vulnerability type counters and inferred issue types.
              Disabling is faster.
            default: true
            title: Include Type Counts
          description: >-
            Include vulnerability type counters and inferred issue types.
            Disabling is faster.
        - name: sort_by
          in: query
          required: false
          schema:
            enum:
              - name
              - updated_at
              - created_at
              - size_bytes
              - last_scan_at
              - status
              - severity
            type: string
            default: name
            title: Sort By
        - name: sort_order
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            default: asc
            title: Sort Order
        - name: type[]
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: >-
              Filter datasets by primary issue type (e.g., Mislabeled, Outlier,
              Poisoned, N/A).
            title: Type[]
          description: >-
            Filter datasets by primary issue type (e.g., Mislabeled, Outlier,
            Poisoned, N/A).
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DatasetListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/DatasetOut'
          type: array
          title: Data
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
        per_page:
          type: integer
          title: Per Page
        total_pages:
          type: integer
          title: Total Pages
          default: 1
        type_counts:
          additionalProperties:
            type: integer
          type: object
          title: Type Counts
      type: object
      required:
        - data
        - total
        - page
        - per_page
      title: DatasetListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DatasetOut:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        branch_name:
          type: string
          title: Branch Name
          default: main
        is_main_branch:
          type: boolean
          title: Is Main Branch
          default: true
        branch_family_uuid:
          anyOf:
            - type: string
            - type: 'null'
          title: Branch Family Uuid
        source_branch_uuid:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Branch Uuid
        branch_origin:
          anyOf:
            - type: string
            - type: 'null'
          title: Branch Origin
        branch_count:
          type: integer
          title: Branch Count
          default: 1
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        size_bytes:
          type: integer
          title: Size Bytes
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        last_scan_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Scan At
        owner_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Owner Id
        permissions:
          anyOf:
            - $ref: '#/components/schemas/PermissionsPayload'
            - type: 'null'
        can_edit:
          type: boolean
          title: Can Edit
          default: false
        status:
          type: string
          enum:
            - UPLOADING
            - UNSCANNED
            - IN_QUEUE
            - SCANNING
            - SCANNED
            - QUARANTINED
            - STOPPED
            - FAILED
          title: Status
        severity:
          type: string
          enum:
            - UNSCANNED
            - HEALTHY
            - UNHEALTHY-
            - UNHEALTHY+
            - CRITICAL
          title: Severity
        vulnerabilities:
          anyOf:
            - type: integer
            - type: 'null'
          title: Vulnerabilities
        vulnerability_types:
          anyOf:
            - type: string
            - type: 'null'
          title: Vulnerability Types
        scan_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Scan Error
        scans:
          items:
            $ref: '#/components/schemas/ScanListItem'
          type: array
          title: Scans
        valid_images:
          anyOf:
            - type: integer
            - type: 'null'
          title: Valid Images
        invalid_images:
          anyOf:
            - type: integer
            - type: 'null'
          title: Invalid Images
        document_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Document Count
        class_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Class Count
        classes:
          items:
            type: string
          type: array
          title: Classes
        image_specificity:
          type: string
          enum:
            - fine
            - broad
          title: Image Specificity
          default: fine
        active_scan_progress:
          anyOf:
            - type: integer
            - type: 'null'
          title: Active Scan Progress
        active_scan_elapsed_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Active Scan Elapsed Seconds
        active_scan_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Active Scan Message
        active_scan_started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Active Scan Started At
        active_scan_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Active Scan Id
        active_scan_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Active Scan Status
        active_scan_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Active Scan Type
        issue_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Issue Type
        webhook_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Webhook Url
        repo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Url
        repo_requires_auth:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Repo Requires Auth
        has_repo_access_token:
          type: boolean
          title: Has Repo Access Token
          default: false
        webhook_on_complete:
          type: boolean
          title: Webhook On Complete
          default: false
        webhook_on_failure:
          type: boolean
          title: Webhook On Failure
          default: false
        queued_scan_count:
          type: integer
          title: Queued Scan Count
          default: 0
        issue_counts:
          $ref: '#/components/schemas/DatasetIssueCounts'
        latest_mislabel_scan_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Latest Mislabel Scan Id
        processing:
          type: boolean
          title: Processing
          default: false
        processed_3d:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Processed 3D
        import_job_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Import Job Id
        import_provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Import Provider
        import_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Import Status
        import_progress:
          anyOf:
            - type: integer
            - type: 'null'
          title: Import Progress
        import_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Import Message
        import_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Import Error
        import_cancel_requested:
          type: boolean
          title: Import Cancel Requested
          default: false
        import_updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Import Updated At
        import_has_stored_credentials:
          type: boolean
          title: Import Has Stored Credentials
          default: false
        import_can_retry:
          type: boolean
          title: Import Can Retry
          default: false
        dense_branch_build:
          anyOf:
            - type: object
            - type: 'null'
          title: Dense Branch Build
      type: object
      required:
        - id
        - name
        - type
        - size_bytes
        - created_at
        - updated_at
        - last_scan_at
        - status
        - severity
        - vulnerabilities
        - vulnerability_types
        - scan_error
      title: DatasetOut
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PermissionsPayload:
      properties:
        view:
          $ref: '#/components/schemas/AccessScope'
        edit:
          $ref: '#/components/schemas/AccessScope'
      additionalProperties: false
      type: object
      title: PermissionsPayload
    ScanListItem:
      properties:
        id:
          type: string
          title: Id
        scan_type:
          type: string
          title: Scan Type
        dataset_dir:
          type: string
          title: Dataset Dir
        dataset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Id
        dataset_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Name
        params:
          type: object
          title: Params
        engine_params:
          anyOf:
            - type: object
            - type: 'null'
          title: Engine Params
        status:
          type: string
          title: Status
        progress:
          type: integer
          title: Progress
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Started At
        finished_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Finished At
        duration_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Duration Seconds
        total_issues:
          type: integer
          title: Total Issues
          default: 0
        critical_count:
          type: integer
          title: Critical Count
          default: 0
        high_count:
          type: integer
          title: High Count
          default: 0
        medium_count:
          type: integer
          title: Medium Count
          default: 0
        low_count:
          type: integer
          title: Low Count
          default: 0
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - scan_type
        - dataset_dir
        - params
        - status
        - progress
        - message
        - created_at
        - updated_at
      title: ScanListItem
    DatasetIssueCounts:
      properties:
        mislabel:
          type: integer
          title: Mislabel
          default: 0
        poison:
          type: integer
          title: Poison
          default: 0
        outlier:
          type: integer
          title: Outlier
          default: 0
        bias:
          type: integer
          title: Bias
          default: 0
        shortcut:
          type: integer
          title: Shortcut
          default: 0
        flagged:
          type: integer
          title: Flagged
          default: 0
      type: object
      title: DatasetIssueCounts
    AccessScope:
      properties:
        users:
          items:
            type: integer
          type: array
          title: Users
        roles:
          items:
            type: string
          type: array
          title: Roles
      additionalProperties: false
      type: object
      title: AccessScope
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````